Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.pkcs
Class PKCS12PBEParams

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.pkcs.PKCS12PBEParams

All Implemented Interfaces:
  DEREncodable

    public class PKCS12PBEParams

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`PKCS12PBEParams(ASN1Sequence seq)`
`PKCS12PBEParams(byte[] salt, int iterations)`

Method Summary
`static PKCS12PBEParams` `getInstance(java.lang.Object obj)`
`java.math.BigInteger` `getIterations()`
`byte[]` `getIV()`
`DERObject` `toASN1Object()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PKCS12PBEParams

    public PKCS12PBEParams(byte[] salt,
                           int iterations)

### PKCS12PBEParams

    public PKCS12PBEParams(ASN1Sequence seq)

Method Detail

### getInstance

    public static PKCS12PBEParams getInstance(java.lang.Object obj)

### getIterations

    public java.math.BigInteger getIterations()

### getIV

    public byte[] getIV()

### toASN1Object

    public DERObject toASN1Object()

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Bouncy Castle Cryptography Library 1.45